Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 169903 - Spamd children eat memory
Summary: Spamd children eat memory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-10-04 21:53 UTC by Nickolay V. Shmyrev
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-13 05:37:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 268852 None None None Never

Description Nickolay V. Shmyrev 2005-10-04 21:53:24 UTC
I have spamassassin-3.0.4-1.fc4 installed on my laptop with 256 Mb of memory. 

I know, there was similar problems like bug 126792, bug 141150 and bug 151433
but since I can reopen them let me describe once again:

I just have spamassassin service enabled by default and it seems that evolution
starts local spamd if it doesn't find spamd in system. but after start spamd
spawns 5 processes and each eats 26 Mb of memory (about half of my system
memory). It became impossible to compile program and get mail.

Currently I've changed option to run spamd to -m1 to spawn only 1 process, but
even 50 Mb constantly occupied of memory it too much for spam checking.

Comment 1 Nickolay V. Shmyrev 2005-10-05 17:37:40 UTC
Well, I am wrong a bit with situation, actually it's evolution bug 

http://bugzilla.gnome.org/show_bug.cgi?id=268852

But it think there is sense in consideration of lowering default number of
children for spamd to 1. 5 children with 200 connections per each is needed only
for system with _very_ large number of users.

Comment 2 Warren Togami 2005-10-05 17:49:22 UTC
I think it is reasonable for evolution to start one spamd child if it launches
spamd.  Reassigning.

Comment 3 Justin Mason 2005-10-05 18:42:44 UTC
FWIW, I agree -- 5 children makes sense in a multi-user, lots of mail delivered
in parallel, environment, which does not describe the Evolution use-case.

BTW SA 3.1.0 is better about scaling the number of children to fit the load.

Comment 4 Dave Malcolm 2006-01-13 05:37:02 UTC
Upstream bug report is now CLOSED FIXED:
Comment #10 from vivek jain    (points: 12)
2005-10-06 11:26 UTC [reply] Private

committed the fix to CVS head.


Closing this bug report as RAWHIDE; please re-open if this is still not fixed.


Note You need to log in before you can comment on or make changes to this bug.